# Package-level declarations

Classes for working with JAR manifests.

## Types

Attributes
Link copied to clipboard
interface Attributes : Map<K, V>
Represent the attributes of a manifest section.
Manifest
Link copied to clipboard
interface Manifest
Represents the manifest file of a JAR file.
ManifestException
Link copied to clipboard
open class ManifestException : GradleException
Is thrown in the case an operation is applied against a org.gradle.api.java.archives.Manifest that violates the Manifest specification.
ManifestMergeDetails
Link copied to clipboard
interface ManifestMergeDetails
Details of a value being merged from two different manifests.
ManifestMergeSpec
Link copied to clipboard
interface ManifestMergeSpec
Specifies how the entries of multiple manifests should be merged together.